package com.cf.imes.module.executor.enums;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 未排订单查询方式枚举
 *
 * @author Gqr
 * @since 2025/7/1 16:39
 */
@RequiredArgsConstructor
@Getter
public enum OrderPlanQueryTypeEnum {
    ORDER_GROUP(0, "订单分组"),
    GOODS_GROUP(1, "板材分组"),
    GOODS_ROOMBODY_QUERY(2, "板材按房间柜体查询");


    /**
     * 类型编码
     */
    private final Integer type;

    /**
     * 描述
     */
    private final String desc;
}
